Bug 1542141 - Rawhide install fails on reboot due to incomplete efi boot menu entry
Summary: Rawhide install fails on reboot due to incomplete efi boot menu entry
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: efivar
Version: 28
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-05 16:30 UTC by Paul Whalen
Modified: 2018-07-11 10:18 UTC (History)
6 users (show)

Fixed In Version: efivar-34-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-11 10:18:36 UTC


Attachments (Terms of Use)
efibootmgr.strace (16.12 KB, text/plain)
2018-02-06 18:53 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2018-02-05 16:30:39 UTC
Description of problem:
Installation of rawhide with grub2-2.02-24.fc28 fails on reboot due incomplete efiboot menu entry missing disk details.

Version-Release number of selected component (if applicable):
grub2-2.02-24.fc28


[root@mustang ~]# efibootmgr -v
Timeout: 5 seconds
BootOrder: 0001,0003,0002,0000
Boot0000  pxe	MAC(000173020ccb,1)/VenMsg(179759ac-8f2e-11e6-ae22-56b6b6499611,0801)..
Boot0001* Fedora	File(\EFI\fedora\shimaa64.efi)


Working example with device details:

Boot0001* Fedora	HD(1,GPT,02301795-f479-4dc9-be63-3299d25076c2,0x800,0x64000)/File(\EFI\fedora\shimaa64.efi)

Comment 1 Peter Jones 2018-02-06 16:33:21 UTC
Can you get an "strace -s 1024 -o efibootmgr.strace efibootmgr ..." of the efibootmgr run that creates this entry?  My suspicion is something in sysfs changed and we're not parsing some symlink correctly any more on that hardware.

Comment 2 Paul Whalen 2018-02-06 18:53:49 UTC
Created attachment 1392250 [details]
efibootmgr.strace

strace -s 1024 -o efibootmgr.strace efibootmgr -c -w -L Fedora-test -d /dev/sda -p 1 -l /EFI/fedora/shimaa64.efi

Comment 3 Paul Whalen 2018-02-06 19:51:44 UTC
This seems to break with efivar-33-2.fc28, moving to efivar.

Comment 4 Fedora End Of Life 2018-02-20 15:34:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 5 Paul Whalen 2018-02-27 21:24:14 UTC
Verified fixed in efivar-34-1.fc28. Many thanks!

Comment 6 Laszlo Ersek 2018-05-16 14:16:59 UTC
I guess this BZ should have status MODIFIED now.


Note You need to log in before you can comment on or make changes to this bug.